// Jade MIF backend
// Copyright (c) 1997 Kathleen Marszalek
// Version 1.0 (beta 2b)
// Date: October 26, 1997

#ifndef MifFOTBuilder_INCLUDED
#define MifFOTBuilder_INCLUDED 1

#include "FOTBuilder.h"
#include "Ptr.h"
#include "ExtendEntityManager.h"
#include "CharsetInfo.h"
#include "CmdLineApp.h"

#ifdef DSSSL_NAMESPACE
namespace DSSSL_NAMESPACE {
#endif

class Messenger;
class OutputByteStream;

FOTBuilder *
makeMifFOTBuilder( const String<CmdLineApp::AppChar> &fileLoc,
          		   const Ptr<ExtendEntityManager> &,
         		   const CharsetInfo &,
			       CmdLineApp *app,
                   const FOTBuilder::Extension *&ext );

#ifdef DSSSL_NAMESPACE
}
#endif

#endif /* not MifFOTBuilder_INCLUDED */
